Function
read
Loads records from a file.
read(file, fragStore, tag)
read(file, memPtr, count)
Include Headers
seqan/file.h, seqan/store.h
Parameters

tag | Types: Amos message file, Gff, Gtf, Sam
fragStore | A fragment store. Currently Amos message file and Sam formats are supported. Types: FragmentStore
file | A File object. Types: File
memPtr | A pointer to the first destination record in memory.
count | The amount of records to be read.

Remarks
The records are read from the position pointed by the current file pointer (see seek).
Return Values
An int value with a status code. 0 on success, a non-0 value on failure.
A bool which is true on success.
Member of
File
Example Programs
File Format I/O
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:58